@import url("https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap");

body {
    background-color: #fdf6e3;
    margin: 0;
}

h1,
h2 {
    font-family: "Noto Serif", serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-variation-settings: "wdth" 100;

    text-align: center;
    margin: 0;

    animation: fadeIn 1.2s ease-out forwards;
    opacity: 0;
}
h1 {
    font-size: clamp(2.5rem, 10vw, 5rem);
    font-weight: 500;
    line-height: 1.1;
}

h2 {
    font-size: clamp(1.5rem, 6vw, 3rem);
    font-weight: 400;
    color: #333333;
    animation-delay: 0.3s;
}

.center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    box-sizing: border-box;
    gap: 25px;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
